<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="http://projets.admisource.gouv.fr/xemelios/technical/schemas/xsd2html.xsl"?>
<xs:schema
    xmlns:xs="http://www.w3.org/2001/XMLSchema">
    
    <xs:complexType name="TDeleteFilter">
        <xs:attribute name="filter" type="xs:string" use="required">
            <xs:annotation>
                <xs:documentation>
                    Le filtre exprime sous forme d'une condition XPath
                </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="pos" type="xs:int" use="required">
            <xs:annotation>
                <xs:documentation>
                    La position de ce filtre. Sert à mettre les filtres en cascade, comme année puis mois
                </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="sort" use="optional" default="lib">
            <xs:annotation>
                <xs:documentation>
                    L'ordre dans lequel il faut trier les données avant de les présenter
                </xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="special-key-source" type="xs:int" use="required"/>
    </xs:complexType>
    
    <xs:simpleType name="TSort">
        <xs:restriction base="xs:string">
            <xs:enumeration value="no"><xs:annotation><xs:documentation>Pas de tri</xs:documentation></xs:annotation></xs:enumeration>
            <xs:enumeration value="key"><xs:annotation><xs:documentation>on trie sur la clef</xs:documentation></xs:annotation></xs:enumeration>
            <xs:enumeration value="lib"><xs:annotation><xs:documentation>on trie sur le libellé</xs:documentation></xs:annotation></xs:enumeration>
        </xs:restriction>
    </xs:simpleType>
        
</xs:schema>